Supported Browsers, Operating Systems and Proxy Servers

Browsers and Operating Systems

Gale's electronic products are best viewed by the following browsers and operating systems:

Internet Explorer 8.x to 11.x

***For third party databases (ChiltonLibrary, TERC, etc.) third party cookies must be enabled.***

 
Chrome 9.x to the most recent version in Google's 'release' channel (currently 33.x)

Firefox 5.x to the most recent version in Mozilla's 'release' channel (currently 27.x)

Safari 4.1. to 7.x

Mobile Safari

Other browsers (e.g. Firefox 3.6, Internet Explorer 7, Opera) or other operating systems (e.g. Linux distributions, Windows 98, Mac OS 9) may be used to access our products, but you may encounter issues with alignment, readability, navigation, and/or functionality.

We encourage you to upgrade to the latest officially released version of your preferred browser and operating system for an optimal experience with our products. You can download the latest versions of browsers using the following links:

Proxy Servers

Gale's electronic products are compatible with the following proxy servers:

MS Proxy

EZ Proxy

Innovative Interfaces Proxy